package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag798;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT798Creator;

/**
 * @author wuzhe
 * @date 2023/3/3
 */
public class Tag77ECreator extends AbsTagCreate {

     private MT798Creator mt798Creator;

    public Tag77ECreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt798Creator= (MT798Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag77EValue = mt798Creator.getProprietaryMessage();
        mt798Creator.set("77E", tag77EValue);
    }
}
